import { OnInit, DoCheck, SimpleChanges, OnChanges } from '@angular/core';
import { ItemService } from '../item-service/item-service.service';
import { DomSanitizer } from '@angular/platform-browser';
import { FormBuilder, FormGroup } from '@angular/forms';
import { BsModalService } from 'ngx-bootstrap/modal';
import { BsModalRef } from 'ngx-bootstrap/modal/bs-modal-ref.service';
import { QuizService } from '../../../shared/service/quiz.service';
export declare class GraphicOptionComponent implements OnInit, DoCheck, OnChanges {
    private modalService;
    itemService: ItemService;
    _DomSanitizationService: DomSanitizer;
    private formBuilder;
    private quizService;
    userAnswer: any;
    correctAns: any;
    message: any;
    userResponse: boolean;
    clearAnswer: any;
    userAnswerService: any;
    assetData: any;
    userSelectedLabel: any;
    userSelectedId: any;
    imageUrl: any;
    modalRef: BsModalRef;
    myInterval: number;
    form: FormGroup;
    radioValue: any;
    questionDetails1: any;
    assetPosition: any;
    incorrectRationale: any;
    isOnlineEngine: boolean;
    get questionDetails(): any;
    set questionCurrentData(value: any);
    constructor(modalService: BsModalService, itemService: ItemService, _DomSanitizationService: DomSanitizer, formBuilder: FormBuilder, quizService: QuizService);
    examEngineType: string;
    isClearAnswer: boolean;
    isShowHide: boolean;
    imagePath: any;
    checkQuizSubmission: any;
    canShowMetadata: boolean;
    preferredTextFormat: number;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    correctAnswer(): void;
    selectAnswer(option: any): void;
    isUserAnswersCorrect(): boolean;
    clearUserInputs(): void;
    getChoiceClassName(choiceDetails: any): "wk-icon-checkmark green-checkmark" | "wk-icon-close wrong-checkmark" | "wk-icon-checkmark disabled-checkmark";
    valueChanged(): void;
    createQuestion(): void;
    clickImage(template: any, slide: any): void;
    splitStringForType(type: any, value: any): string;
    loadImagePath(assetType: any, slide: any): any;
    returnType(value: any): any;
    loadImagePathinsideModal(imageUrl: any): any;
}
